/**
   This program writes pixel data to a PPM file using the FrameBuffer class.
   The pixel data is a sequence of red, then green, then blue pixels.
*/

public class Example_1
{
   public static void main(String[] args)
   {
      String filename = "Example_1.ppm";

      int height = 600;
      int width  = 601;
      FrameBuffer fb = new FrameBuffer(height, width);

      for (int i = 0; i < height*width*3; i+=9)
      {
         fb.pixel_buffer[i+0] = 255;  // a red pixel
         fb.pixel_buffer[i+1] = 0;
         fb.pixel_buffer[i+2] = 0;

         fb.pixel_buffer[i+3] = 0;    // followed by a green pixel
         fb.pixel_buffer[i+4] = 255;
         fb.pixel_buffer[i+5] = 0;

         fb.pixel_buffer[i+6] = 0;    // followed by a green pixel
         fb.pixel_buffer[i+7] = 0;
         fb.pixel_buffer[i+8] = 255;
      }

      fb.dumpFB2File( filename );
   }
}